library ieee;
	use ieee.std_logic_1164.all;
	use ieee.std_logic_unsigned.all;

--library work;
--	use work.matriz_leds_pkg.all;

entity matriz_leds_top is
port(
		CLOCK_50Mhz :		in std_logic;
		KEY			:		in std_logic_vector(11 downto 0);
		LEDM_C		:		out std_logic_vector(4 downto 0);
		LEDM_R		:		out std_logic_vector(7 downto 0)
);
end matriz_leds_top;

architecture behavior of matriz_leds_top is
	
begin
inst_matriz_leds : entity work.matriz_leds
	port map (
		clk		=> CLOCK_50Mhz,
		rst		=> KEY(0),
		out_col	=> LEDM_C,
		out_row	=> LEDM_R
	);
		
end behavior;